LFR-FSW - Bug #316

division par zéro dans les fonctions BP1_set et BP2_set
29/01/2015 12:57 PM - paul leroy

Status: Closed Start date: 29/01/2015
Priority: Urgent Due date:

Assignee: paul leroy % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

J'ai trouvé un bug qui fait planter le soft depuis plusieurs semaines: il y a des division par zéro dans les fonctions BP1_set et

BP2_set lorsque les composantes des matrices valent zéros. Une division par zéro arréte le processeur.

Action: mettre un test avant toutes les divisions effectuées dans BP1_set et BP2_set.

History

#1 - 02/02/2015 11:05 AM - thomas chust

fait => version 1.8 :

https://hephaistos.lpp.polytechnique.fr/rhodecode/HG_REPOSITORIES/LPP/INSTRUMENTATION/USERS/CHUST/LFR_basic-parameters

#2 - 02/02/2015 11:06 AM - thomas chust
- Assignee changed from thomas chust to paul leroy

- % Done changed from 0 to 100

#3 - 02/02/2015 12:37 PM - paul leroy

- Status changed from New to Closed

J'ai intégré les nouveaux codes dans le soft de vol. Il n'y a plus de plantage, donc je ferme l'issue.
